#pragma once

#include "CoreMinimal.h"
#include "DBDBaseAnimInstance.h"
#include "K36MageHandAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK36MageHandAnimInstance : public UDBDBaseAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isVisible;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isWaitingToBlockUpPallet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isWaitingToLiftPallet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isLiftingPallet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBlockingPallet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBreakingPallet;

public:
	UK36MageHandAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK36MageHandAnimInstance) { return 0; }
